DECLARE
    l_cursor   SYS_REFCURSOR;
    l_blob     BLOB;
BEGIN
    OPEN l_cursor FOR SELECT *
                        FROM valutakurser;

    l_blob :=
        cursor2lob.TO_BLOB (l_cursor,                                   /* Cursor */
                            CHR (10),                            /* Row Separator */
                            ',',                              /* Column Separator */
                            'WE8ISO8859P15',                     /* Character Set */
                            '"',                                     /* Delimiter */
                            1             /* 1 -> First row includes column names */
                             );

    INSERT INTO FILE_OUTBOUND (FILE_NAME,
                               SYSTEM,
                               TIMESTAMP,
                               FILE_CONTENTS)
         VALUES ('akk2.txt',
                 'VALUTAKURS-UT',
                 SYSTIMESTAMP,
                 l_blob);
END;
/

commit;
