create view valutakurser as 
SELECT f.id,
       to_date(t.column1,'DD.MM.YYYY')  dato,
       t.column2  land,
       to_number(t.column3)  enhet,
       t.column4  kode,
       t.column5  infokurs,
       to_number(t.column6)  buy,
       to_number(t.column7)  sell,
       to_number(t.column8)  change,
       to_number(t.column9)  buy_sedler,
       to_number(t.column10) sell_sedler,
       to_number(column11)   midtkurs
  FROM FILE_INBOUND  f
       CROSS JOIN TABLE (lob2table.separatedcolumns (p_blob               => f.file_contents,              /* the data LOB */
                                                     p_row_separator      => CHR (10),                    /* row separator */
                                                     p_column_separator   => ',',                      /* column separator */
                                                     p_character_set      => 'WE8ISO8859P15'              /* Character set */
                                                                                            )) t
 WHERE t.row_no > 1
 and f.SYSTEM = 'VALUTAKURS';
 
 